import request from '@/utils/request'

// 查询阳性及密接人员列表
export function listYquser(query) {
  return request({
    url: '/yiqing/yquser/list',
    method: 'get',
    params: query
  })
}

// 查询阳性及密接人员详细
export function getYquser(dataId) {
  return request({
    url: '/yiqing/yquser/' + dataId,
    method: 'get'
  })
}

// 新增阳性及密接人员
export function addYquser(data) {
  return request({
    url: '/yiqing/yquser',
    method: 'post',
    data: data
  })
}

// 修改阳性及密接人员
export function updateYquser(data) {
  return request({
    url: '/yiqing/yquser',
    method: 'put',
    data: data
  })
}

// 删除阳性及密接人员
export function delYquser(dataId) {
  return request({
    url: '/yiqing/yquser/' + dataId,
    method: 'delete'
  })
}

// 导出阳性及密接人员
export function exportYquser(query) {
  return request({
    url: '/yiqing/yquser/export',
    method: 'get',
    params: query
  })
}

// 模板下载
export function importTemplate() {
  return request({
    url: '/yiqing/yquser/importTemplate',
    method: 'get',
  })
}
// 派单导出
export function ordersImport(query) {
  return request({
    url: '/yiqing/yquser/ordersImport',
    method: 'get',
    params: query
  })
}
